Bug 269289 - Rename scrambles order of files
Summary: Rename scrambles order of files
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Applications
Component: AdvancedRename-dialog (show other bugs)
Version: 1.9.0
Platform: OpenSUSE Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-24 09:49 UTC by Jens Westemeier
Modified: 2022-02-01 06:31 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 2.0.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jens Westemeier 2011-03-24 09:49:42 UTC
Version:           1.9.0 (using KDE 4.6.1) 
OS:                Linux

I have a mixture of raw and jpg files from different cameras, which I would like to give a consecutive name along their exif date. I order them along their date, select them all and apply rename (right mouse). Unfortunately rename reorder the pictures that way, that first all raw pictures are renamed and then all jpg ones.

Original names          Expected names       Given names
(ordered along time)
cam-1.jpg               pic-1.jpg            pic-3.jpg
srl-1.arw               pic-2.arw            pic-1.arw
srl-2.arw               pic-3.arw            pic-2.arw
cam-2.jpg               pic-4.jpg            pic-4.jpg

Batch mode keeps the right order, but does not provide rename only. Applying a "dummy" operation (like add copyright) does not work for good reasons (no write to raw files). So the rename by right mouse click is the only viable option.

Greetings, Jens.

Reproducible: Always
Comment 1 Dany 2011-03-24 10:36:54 UTC
I'm experiencing the same problem as I mix pictures from different cameras, some with RAW+JPG capabilities, others with only JPG capability.

Original names (sorted by time)        Expected names
PIC105.JPG                          -> PIC001.JPG
PIC200.CR2                          -> PIC002.CR2
PIC200.JPG                          -> PIC002.JPG
PIC106.JPG                          -> PIC003.JPG
Comment 2 Jens Westemeier 2011-04-01 18:47:16 UTC
Same problem exists in Digikam 2.0.0-rc1
Comment 3 Andi Clemens 2011-04-30 09:08:14 UTC
Git commit e3555109b3b209a1386071188ccbabcb5e3e8997 by Andi Clemens.
Committed on 30/04/2011 at 09:16.
Pushed by aclemens into branch 'master'.

Keep order of the main album view in the rename dialog

BUG:269289

M  +1    -1    utilities/advancedrename/advancedrenamedialog.cpp     

http://commits.kde.org/digikam/e3555109b3b209a1386071188ccbabcb5e3e8997